SHEBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon.m4,v 1.1 2003/05/03 04:15:23 babolo Exp $

JNTROSTUP(irc,,irc-IIdnl
,dnl
# jailup ${inclass} <dirlist>
#           dir relative to ${JAILUPDIR}
# installed ports/irc/ircII
#                                                   useddnl
)

for i in "$@"; do
    main_dir="${JAILUPDIR}/${i}"
    ${up_mdir} "${main_dir}" ${MTREE}

    ${up_shlib} "${main_dir}/usr/lib" << "EOF"
        ncurses crypt c
EOF

    ${up_genlist} bin/ ${MTREE} | ${up_exec} "${main_dir}/bin"
    ${up_genlist} usr/share/irc/ ${MTREE} | ${up_conf} "${main_dir}/usr/share/irc/" "${PREFIX}/share/irc/"
    echo "termcap.db" | ${up_data} "${main_dir}/usr/share/misc/" "/usr/share/misc/"
    ${up_mtree} "${main_dir}" ${MTREE}
done
